#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-lib
version:              1.24.1
visibility:           public
id:                   hledger-lib-1.24.1-HDMhKeZiVllDzzSfNeyqWS
key:                  hledger-lib-1.24.1-HDMhKeZiVllDzzSfNeyqWS
license:              GPL-3.0-only
maintainer:           Simon Michael <simon@joyful.com>
author:               Simon Michael <simon@joyful.com>
stability:            stable
homepage:             http://hledger.org
synopsis:
    A reusable library providing the core functionality of hledger

description:
    A reusable library containing hledger'\''s core functionality.
    This is used by most hledger* packages so that they support the same
    common file formats, command line options, reports etc.

    hledger is a robust, cross-platform set of tools for tracking money,
    time, or any other commodity, using double-entry accounting and a
    simple, editable file format, with command-line, terminal and web
    interfaces. It is a Haskell rewrite of Ledger, and one of the leading
    implementations of Plain Text Accounting. Read more at:
    <https://hledger.org>

category:             Finance
abi:                  45cf28d91d697f12334d5f9365789845
exposed:              True
exposed-modules:
    Hledger Hledger.Data Hledger.Data.Account Hledger.Data.AccountName
    Hledger.Data.Amount Hledger.Data.Balancing Hledger.Data.Dates
    Hledger.Data.Journal Hledger.Data.Json Hledger.Data.Ledger
    Hledger.Data.Period Hledger.Data.PeriodicTransaction
    Hledger.Data.Posting Hledger.Data.RawOptions
    Hledger.Data.StringFormat Hledger.Data.Timeclock
    Hledger.Data.Transaction Hledger.Data.TransactionModifier
    Hledger.Data.Types Hledger.Data.Valuation Hledger.Query
    Hledger.Read Hledger.Read.Common Hledger.Read.CsvReader
    Hledger.Read.InputOptions Hledger.Read.JournalReader
    Hledger.Read.TimeclockReader Hledger.Read.TimedotReader
    Hledger.Reports Hledger.Reports.AccountTransactionsReport
    Hledger.Reports.BalanceReport Hledger.Reports.BudgetReport
    Hledger.Reports.EntriesReport Hledger.Reports.MultiBalanceReport
    Hledger.Reports.PostingsReport Hledger.Reports.ReportOptions
    Hledger.Reports.ReportTypes Hledger.Utils Hledger.Utils.Debug
    Hledger.Utils.Parse Hledger.Utils.Regex Hledger.Utils.String
    Hledger.Utils.Test Hledger.Utils.Text Text.Tabular.AsciiWide

hidden-modules:
    Text.Megaparsec.Custom Text.WideString Paths_hledger_lib

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hledger-lib-1.24.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hledger-lib-1.24.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/hledger-lib-1.24.1
hs-libraries:         HShledger-lib-1.24.1-HDMhKeZiVllDzzSfNeyqWS
depends:
    Decimal-0.5.2-Elbv2oFaQsRACN8UGgLT1k
    Glob-0.10.2-9zaM5aDuy0U1kiY2nYfNJI
    aeson-1.5.6.0-9b7PYeIt4IK50V585g1cEG
    aeson-pretty-0.8.9-98i4FWGKWsWC58jWBDXBHi
    ansi-terminal-0.11-7Sg6KtenVNR9Ce5shok5FD array-0.5.4.0
    base-4.15.1.0 blaze-markup-0.8.2.8-EZGZQlIJw5FE2LCrvepOZh
    bytestring-0.10.12.1 call-stack-0.4.0-99yvKbZODDOHhtty2Aracr
    cassava-0.5.2.0-HL11KNnUOhcBc4ibuyq5H8
    cassava-megaparsec-2.0.4-45irZSuWH6r8mDmrqbhYbG
    cmdargs-0.10.21-5dEStss8OK87s5amCxsPTV containers-0.6.4.1
    data-default-0.7.1.1-EcFn1KqENcc3dlLa7FIl7R directory-1.3.6.2
    doclayout-0.3.0.2-3JKbc2odqK2BcxeLdt2jBz
    extra-1.7.10-AixxlrOfsriLCSQn5uXY9d
    file-embed-0.0.14.0-4xxXjmkgCiV6v8HpAsLJeu filepath-1.4.2.1
    hashtables-1.2.4.2-Dk3jaAf59Ov9rnQTvawH8V
    megaparsec-9.2.0-DevpBZ4FqsG1zrF3gfJIeG
    microlens-0.4.12.0-1fJvmROd5lxEQCLdQ6LGgk
    microlens-th-0.4.3.10-CAAiPodk0tn9fh7vbCRi5r mtl-2.2.2
    parser-combinators-1.3.0-FL5bcA6sX4a2ejs4tDtkjB
    pretty-simple-4.0.0.0-EZQ5WffsjlPL5F4eRiS3PO
    regex-tdfa-1.3.1.2-GJAFuGmj4unDbosbJHC2w0
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    tabular-0.2.2.8-3mznlUNrnmF8EH6LDY9YkX
    tasty-1.4.2.1-5aVIk2EmFZaHHHsVyKDPiF
    tasty-hunit-0.10.0.3-A3XmUV7483ksACmj7Zdno
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    timeit-2.0-13BYXbUXu2MJzbvDZuPEww transformers-0.5.6.2
    uglymemo-0.1.0.1-K7bsHpbExS57pk9A4akql7
    unordered-containers-0.2.16.0-CwffDPZxPuFHBx4xcBeO
    utf8-string-1.0.2-6y5aR0YRSbbARtcGIOnMyE

haddock-interfaces:   /usr/share/doc/haskell-hledger-lib/html/hledger-lib.haddock
haddock-html:         /usr/share/doc/haskell-hledger-lib/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

